<%|include("sql/websql/last_schemas.txt")|%>
select
	date_trunc('day', paid_at) as day,
	extract(DOW from paid_at) as weekday,
	sum(temp.new) as new,
	sum(temp.prolong) as prolong,
	sum(temp.prolong+temp.new),
	CASE WHEN
		(extract(DOW from paid_at) - extract(DOW from now())) < 0
	THEN
		7 + extract(DOW from paid_at) - extract(DOW from now())
	ELSE
		extract(DOW from paid_at) - extract(DOW from now())
	END
FROM (
	<% <%(@@# > 0)UNION ALL%>
	SELECT
		paid_at,
		CASE WHEN
			action_type = 'prolong'
		THEN
			1
		ELSE
			0
		END AS prolong,
		CASE WHEN
			action_type='new'
		THEN
			1
		ELSE
			0
		END AS new
	FROM
		@lastSchemas.pay_log
	JOIN
		@lastSchemas.ad_actions USING (payment_group_id)
		WHERE action_type IN ('new','prolong') AND
		paid_at > date_trunc('day',NOW() - '32 day'\:\:interval) AND
		status IN ('OK', 'MORE')
	%>
) AS temp GROUP BY 1,2,6 ORDER BY 6, 1 DESC;

